TWiki> Main Web>TWikiUsers>LeonardoSala>LSSlc5UI (revision 4)EditAttachPDF

Installation

on a SLC5 64 vm (VirtualBox SUN)

std workstation installation with:

  • no Gnome
  • Applications: only Editor and graphical internet

Comment: it has anyway installed what it wanted...

Rebooted, updated.

SELinux: permissive

remember to use ntp!

installed SLC4 compatibility and more: https://twiki.cern.ch/twiki/bin/view/LCG/SL5DependencyRPM but with gpgcheck=0

glite 3.1 installation: https://twiki.cern.ch/twiki/bin/view/LCG/GenericInstallGuide310

put in glite repo i386 repos

used jdk 5.2v15, amd64, installed throught jpackage

TEST FAILED, TOO MANY LIB DEPENDECIES MISSING!

PSI test

unsing a gLite3.1 sourced env (actually from a WN TAR), will try to:

  • install CMSSW_3_4_0
  • Install CRAB 2_6_6 and send jobs to the grid

ps NB: CRAB submission won't actually work, as all the glite-wms-job-* commands are missing! shall I try a TAR installation in my home dir, through t3ui01?

UI installation

TAR installation to be done in a clean shell ON A slc4 node:


ssh HOST /bin/bash --noprofile

--noprofile needed as a UI is already installed

test 1: voms-proxy-init -voms cms
OK

test 2:


glite-wms-job-submit: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory


yum install libxml2  




glite-wms-job-submit: error while loading shared libraries: libcurl.so.3: cannot open shared object file: No such file or directory

ls /usr/lib/libcurl*
ls: /usr/lib/libcurl*: No such file or directory

ls /usr/lib64/libcurl*
/usr/lib64/libcurl.a
/usr/lib64/libcurl.so
/usr/lib64/libcurl.so.3

export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib64/


glite-wms-job-submit -a GridTests/hostname.jdl
glite-wms-job-submit: error while loading shared libraries: libcurl.so.3: wrong ELF class: ELFCLASS64

<verbatim>

yum install curl.i386
Loaded plugins: kernel-module
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package curl.i386 0:7.15.5-2.1.el5_3.5 set to be updated
--> Processing Dependency: libidn.so.11 for package: curl
--> Running transaction check
---> Package libidn.i386 0:0.6.5-1.1 set to be updated
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin

Dependencies Resolved

============================================================================================================================================================================
 Package                              Arch                               Version                                             Repository                                Size
============================================================================================================================================================================
Installing:
 curl                                 i386                               7.15.5-2.1.el5_3.5                                  sl53update                               232 k
Installing for dependencies:
 libidn                               i386                               0.6.5-1.1                                           sl53base                                 194 k

Transaction Summary
============================================================================================================================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 426 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): libidn-0.6.5-1.1.i386.rpm                                                                                                                     | 194 kB     00:00
(2/2): curl-7.15.5-2.1.el5_3.5.i386.rpm                                                                                                              | 232 kB     00:00
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                       1.3 MB/s | 426 kB     00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : libidn                                            [1/2]
/sbin/ldconfig: /opt/glite/lib64/libgridsite_globus.so.1.5 is not a symbolic link

/sbin/ldconfig: /opt/glite/lib64/libgridsite.so.1.5 is not a symbolic link

  Installing     : curl                                              [2/2]
/sbin/ldconfig: /opt/glite/lib64/libgridsite_globus.so.1.5 is not a symbolic link

/sbin/ldconfig: /opt/glite/lib64/libgridsite.so.1.5 is not a symbolic link


Installed: curl.i386 0:7.15.5-2.1.el5_3.5
Dependency Installed: libidn.i386 0:0.6.5-1.1
Complete!
</verbatim>


glite-wms-job-submit -a GridTests/hostname.jdl
glite-wms-job-submit: error while loading shared libraries: libcares.so.0: cannot open shared object file: No such file or directory

that one was due to the wrong export above: from a clean shell:

glite-wms-job-submit -a GridTests/hostname.jdl

Error - Wrong Value
Unable to resolve the hostname: my-wms.psi.ch

put desy wms

source gLite/glite-UI-3.1.43-0/etc/profile.d/grid-env.sh
glite-wms-job-submit -a GridTests/hostname.jdl

Connecting to the service https://grid-wms10.desy.de:7443/glite_wms_wmproxy_server


====================== glite-wms-job-submit Success ======================

The job has been successfully submitted to the WMProxy
Your job identifier is:

https://grid-lb2.desy.de:9000/8LevBGKTKbhGkrpNoki9JQ

==========================================================================


glite-wms-job-status https://grid-lb2.desy.de:9000/8LevBGKTKbhGkrpNoki9JQ
Traceback (most recent call last):
  File "/shome/leo/gLite/glite-UI-3.1.43-0/glite/bin/glite-wms-job-status", line 31, in ?
    import UIutils
  File "/shome/leo/gLite/glite-UI-3.1.43-0/glite/lib/python/UIutils.py", line 23, in ?
    from glite_wmsui_UcWrapper import UCredential
  File "/shome/leo/gLite/glite-UI-3.1.43-0/glite/lib/python/glite_wmsui_UcWrapper.py", line 5, in ?
    import _glite_wmsui_UcWrapper
ImportError: /shome/leo/gLite/glite-UI-3.1.43-0/glite/lib/_glite_wmsui_UcWrapper.so: wrong ELF class: ELFCLASS32

can crab solve this?

installing CRAB_2_6_6 on SLC5:

./configure

Configuring CRAB.....
pwd
Done

CMSSW installation

https://twiki.cern.ch/twiki/bin/viewauth/CMS/CMSSW_aptinstaller

unset VO_CMS_SW_DIR
export VO_CMS_SW_DIR=/shome/leo/SL5Test/cmssw
export SCRAM_ARCH=slc5_ia32_gcc434
export LANG=C

Installatio CMSSW on SLC5:

export VO_CMS_SW_DIR=/shome/leo/SL5Test/cms export SCRAM_ARCH=slc5_ia32_gcc434 export LANG=C

-- LeonardoSala - 13-Jan-2010

Edit | Attach | Watch | Print version | History: r8 | r6 < r5 < r4 < r3 | Backlinks | Raw View | Raw edit | More topic actions...
Topic revision: r4 - 2010-01-13 - unknown
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    Main All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2021 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
or Ideas, requests, problems regarding TWiki? use Discourse or Send feedback